| OpendTect 8.0

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Static Public Member Functions | Public Attributes | Private Member Functions | Private Attributes | Friends | List of all members
StratSynth::DataMgr Class Reference
WellAttrib

manages the synthetics for a set of Layer Models. More...

`#include <stratsynth.h>`

Inheritance diagram for StratSynth::DataMgr:
[legend]

## Public Types
enum | SubSelType { NoSubSel , OnlyZO , NoZO , OnlyEIStack , NoEIStack , OnlyEIGather , NoEIGather , OnlyPS , NoPS , OnlyPSBased , NoPSBased , OnlyAttrib , NoAttrib , OnlyFilter , NoFilter , OnlyFilteredSynth , NoFilteredSynth , OnlyFilteredProp , NoFilteredProp , OnlyRaw , NoRaw , OnlyInput , OnlyWithInput , NoWithInput , OnlyProps , NoProps }

## Public Member Functions
| DataMgr (const DataMgr &, int calceach)
| DataMgr (const Strat::LayerModelSuite &)
| ~DataMgr ()
bool | addInstAttribSynthetics (const SynthID &inpid, const TypeSet< Attrib::Instantaneous::OutType > &, TypeSet< SynthID > &)
bool | addPropertySynthetics (TypeSet< SynthID > *=nullptr, const BufferStringSet *propnms=nullptr)
SynthID | addSynthetic (const SynthGenParams &)
int | calcEach () const
bool | checkElasticPropSel (const ElasticPropSelection &, const RefLayer::Type *checktyp=nullptr, uiString *msg=nullptr) const
void | clearInfoMsg ()
DirtyCountType | dirtyCount () const
bool | disableSynthetic (const TypeSet< SynthID > &)
const ElasticModelSet & | elasticModels (int lmsidx=-1) const
bool | ensureGenerated (SynthID, TaskRunner *=nullptr, int curlmidx=-1) const
bool | ensureInstantAttribsDataSet (const TypeSet< SynthID > &, TaskRunner *=nullptr, int curlmidx=-1) const
| Generates all attribs from a same input synthetic.
bool | ensurePropertyDataSets (TaskRunner *=nullptr, int lmsidx=-1, double zstep=0.001) const
| Generates all properties, or a subselection.
uiRetVal | errMsg () const
void | fillPar (IOPar &, const ObjectSet< IOPar > *disppars=nullptr) const
SynthID | find (const char *nm, int *lmsidx=nullptr) const
SynthID | find (const PropertyRef &, bool require_generated=false, int lmsidx=-1) const
SynthID | first (bool prestack, bool require_generated=false, int lmsidx=-1) const
const TypeSet< SynthGenParams > & | genParams () const
ConstRefMan< SyntheticData > | getDataSet (SynthID, int lmsidx=-1) const
ConstRefMan< SyntheticData > | getDataSetByIdx (int, int lmsidx=-1) const
BufferString | getFinalDataSetName (const char *gpnm, bool isprop=false, int lmsidx=-1) const
const SynthGenParams * | getGenParams (SynthID) const
SynthID | getIDByIdx (int) const
void | getIDs (const MultiID &wvltid, TypeSet< SynthID > &, bool omitempty=false, int lmsidx=-1) const
void | getIDs (TypeSet< SynthID > &, SubSelType t=NoSubSel, bool omitempty=false, int lmsidx=-1) const
void | getLevelDepths (Strat::LevelID, TypeSet< float > &zvals, int lmsidx=-1) const
void | getNames (BufferStringSet &, SubSelType t=NoSubSel, bool omitempty=false, int lmsidx=-1) const
void | getNames (const MultiID &wvltid, BufferStringSet &, bool omitempty=false, int lmsidx=-1) const
DataMgr * | getProdMgr ()
| may return this
const DataMgr * | getProdMgr () const
| may return this
bool | getUnscaledSynthetics (RefObjectSet< const SyntheticData > *, TypeSet< MultiID > *unscaledwvlts, int lmsidx=-1) const
| return true if unscaled synthetics are found
bool | hasValidDataSet (SynthID, int lmsidx=-1) const
bool | haveOfType (SynthGenParams::SynthType) const
int | indexOf (const SyntheticData *, int lmsidx=-1) const
uiRetVal | infoMsg () const
bool | isAttribute (SynthID) const
bool | isElasticPS (SynthID) const
bool | isElasticStack (SynthID) const
bool | isEmpty () const
bool | isFilter (SynthID) const
bool | isPS (SynthID) const
bool | isStratProp (SynthID) const
void | kick ()
const Strat::LayerModel & | layerModel (int lmsidx=-1) const
const Strat::LayerModelSuite & | layerModelSuite () const
const StratSynth::LevelSet & | levels (int lmsidx=-1) const
int | lmsIndexOf (const SyntheticData *) const
void | modelChange ()
BufferString | nameOf (SynthID) const
int | nrSequences (int curlmidx=-1) const
| all available
int | nrTraces (int curlmidx=-1) const
| actual calculated
bool | removeSynthetic (SynthID)
RefLayer::Type | requiredRefLayerType () const
void | setCalcEach (int)
bool | setElasticProperties (const IOPar &, uiString *msg=nullptr)
| Will set a default if none found.
void | setEmpty ()
void | setPackLevelTimes (SynthID, Strat::LevelID) const
void | setWavelet (const Wavelet &wvlt)
void | synthChange ()
void | touch () const
bool | updateSynthetic (SynthID, const SynthGenParams &)
bool | updateSyntheticName (SynthID, const char *newnm)
bool | updateWavelet (const MultiID &oldwvltid, const MultiID &newwvltid)
bool | usePar (const IOPar &)
Public Member Functions inherited from CallBacker
| CallBacker ()
| CallBacker (const CallBacker &)
virtual | ~CallBacker ()
bool | attachCB (const NotifierAccess &, const CallBack &, bool onlyifnew=false) const
bool | attachCB (const NotifierAccess *notif, const CallBack &cb, bool onlyifnew=false) const
void | detachAllNotifiers () const
| Call from the destructor of your inherited object.
void | detachCB (const NotifierAccess &, const CallBack &) const
void | detachCB (const NotifierAccess *notif, const CallBack &cb) const
virtual bool | isCapsule () const
bool | isNotifierAttached (const NotifierAccess *) const
| Only for debugging purposes, don't use.
CallBacker & | operator= (const CallBacker &)=delete
void | stopReceivingNotifications () const
virtual CallBacker * | trueCaller ()

## Static Public Member Functions
static bool | getAllGenPars (const IOPar &, ObjectSet< SynthGenParams > &)
static const char * | sKeyNrSynthetics ()
static const char * | sKeySyntheticNr ()
Static Public Member Functions inherited from CallBacker
static void | createReceiverForCurrentThread ()
static void | removeReceiverForCurrentThread ()

## Public Attributes
Notifier< DataMgr > | elasticModelChanged
Notifier< DataMgr > | elPropSelChanged
CNotifier< DataMgr, SynthID > | entryAdded
CNotifier< DataMgr, const TypeSet< SynthID > & > | entryChanged
CNotifier< DataMgr, const TypeSet< SynthID > & > | entryDisabled
CNotifier< DataMgr, const TypeSet< SynthID > & > | entryRemoved
CNotifier< DataMgr, const TypeSet< SynthID > & > | entryRenamed
CNotifier< DataMgr, const MultiID & > | newWvltUsed
CNotifier< DataMgr, const BufferStringSet & > | wvltScalingDone

## Private Member Functions
SynthID | addEntry (SynthID, const SynthGenParams &)
void | addLayModelSets (bool withmod=true)
void | addOverburdenVel (const Strat::LayerModel &, ElasticModelSet &) const
bool | adjustElasticModel (const Strat::LayerModel &, ElasticModelSet &, RefLayer::Type, TaskRunner *) const
bool | checkNeedsInput (const SynthGenParams &) const
void | clearData (bool lmdata, bool synthdata)
void | createAngleData (PreStackSyntheticData &, TaskRunner *) const
ConstRefMan< SyntheticData > | createAttribute (const PostStackSyntheticData &, const SynthGenParams &, TaskRunner *) const
ConstRefMan< SyntheticData > | createFiltered (const PostStackSyntheticData &, const SynthGenParams &, TaskRunner *) const
int | curLayerModelIdx () const
bool | ensureAdequatePropertySynthetics (const SynthGenParams &)
bool | ensureAdequatePropSelection (int lmsidx, RefLayer::Type) const
bool | ensureElasticModels (int lmsidx, RefLayer::Type, bool &changed, TaskRunner *) const
void | ensureLevels (int lmsidx) const
bool | generate (SynthID, int lmsidx, TaskRunner *) const
ConstRefMan< SyntheticData > | generateDataSet (const SynthGenParams &, int lmsidx, TaskRunner *) const
ConstRefMan< SyntheticData > | genPSPostProcDataSet (const PreStackSyntheticData &, const SynthGenParams &, TaskRunner *) const
void | getAllNames (const SynthGenParams &, int lmsidx, BufferStringSet &) const
const ReflectivityModelSet * | getRefModels (const SynthGenParams &, int lmsidx) const
ConstRefMan< PreStack::GatherSetDataPack > | getRelevantAngleData (const Seis::SynthGenDataPack &, int lmsidx) const
const Seis::SynthGenDataPack * | getSynthGenRes (const SynthGenParams &, int lmsidx) const
int | gtActualLMIdx (int lmsidx) const
const SyntheticData * | gtDS (SynthID, int lmsidx) const
const SyntheticData * | gtDSByIdx (int idx, int lmsidx) const
const SyntheticData * | gtDSByName (const char *, int lmsidx) const
ObjectSet< const SyntheticData > & | gtDSS (int lmsidx)
const ObjectSet< const SyntheticData > & | gtDSS (int lmsidx) const
int | gtGenIdx (SynthID, TaskRunner *) const
int | gtIdx (SynthID) const
void | gtIdxs (const MultiID &, TypeSet< int > &, bool, int lmsidx) const
void | gtIdxs (TypeSet< int > &, SubSelType, bool, int lmsidx) const
bool | haveDS (int, int lmsidx) const
int | iSeq (int itrc) const
int | iTrc (int iseq) const
void | lmsEdChgCB (CallBacker *)
| mOD_DisableCopy (DataMgr)
int | nrLayerModels () const
bool | runSynthGen (Seis::RaySynthGenerator &, const SynthGenParams &, TaskRunner *) const
void | setDataSet (const SynthGenParams &, const SyntheticData *, int lmsidx)
void | setElasticPropSel (const ElasticPropSelection &)

## Private Attributes
int | calceach_ = 1
DirtyCounter | dirtycount_
ObjectSet< ElasticModelSet > | elasticmodelsets_
uiRetVal | errmsg_
TypeSet< SynthGenParams > | genparams_
TypeSet< SynthID > | ids_
uiRetVal | infomsg_
ObjectSet< StratSynth::LevelSet > | levelsets_
ObjectSet< RefObjectSet< const SyntheticData > > | lmdatasets_
const Strat::LayerModelSuite & | lms_
bool | swaveinfomsgshown_ = false
const Wavelet * | wvlt_ = nullptr

## Friends
class | PropertyDataSetsCreator
class | StratSeqSplitter

## Detailed Description

manages the synthetics for a set of Layer Models.

The 'key' to adding synthetics is the SynthGenParams object. Adding a synthetic means adding one of those. Actually generating the seismics will require a call of 'ensureGenerated()' for that DataSet ID. This makes sure that the DataSet for the current layer model is available.

Note that this class manages the DataSet's for the multiple LayerModel's in a LayerModelSuite. The LayerModelSuite has the notion of a 'current' LayerModel, which is why you can but do not have to specify the LayerModel index for all DataSet-related operations (int curlmidx=-1).

<>

## Member Enumeration Documentation

## ◆ SubSelType

enum StratSynth::DataMgr::SubSelType

Enumerator
NoSubSel |
OnlyZO |
NoZO |
OnlyEIStack |
NoEIStack |
OnlyEIGather |
NoEIGather |
OnlyPS |
NoPS |
OnlyPSBased |
NoPSBased |
OnlyAttrib |
NoAttrib |
OnlyFilter |
NoFilter |
OnlyFilteredSynth |
NoFilteredSynth |
OnlyFilteredProp |
NoFilteredProp |
OnlyRaw |
NoRaw |
OnlyInput |
OnlyWithInput |
NoWithInput |
OnlyProps |
NoProps |

## Constructor & Destructor Documentation

## ◆ DataMgr() [1/2]

StratSynth::DataMgr::DataMgr | ( | const Strat::LayerModelSuite & |  | ) |

## ◆ DataMgr() [2/2]

StratSynth::DataMgr::DataMgr | ( | const DataMgr & | ,
|  | int | calceach )

## ◆ ~DataMgr()

StratSynth::DataMgr::~DataMgr | ( |  | ) |

## Member Function Documentation

## ◆ addEntry()

SynthID StratSynth::DataMgr::addEntry | ( | SynthID | ,
|  | const SynthGenParams & | )
| private

## ◆ addInstAttribSynthetics()

bool StratSynth::DataMgr::addInstAttribSynthetics | ( | const SynthID & | inpid,
|  | const TypeSet< Attrib::Instantaneous::OutType > & | ,
|  | TypeSet< SynthID > & | )

## ◆ addLayModelSets()

void StratSynth::DataMgr::addLayModelSets | ( | bool | withmod = true | ) |
| private

## ◆ addOverburdenVel()

void StratSynth::DataMgr::addOverburdenVel | ( | const Strat::LayerModel & | ,
|  | ElasticModelSet & | ) const
| private

## ◆ addPropertySynthetics()

bool StratSynth::DataMgr::addPropertySynthetics | ( | TypeSet< SynthID > * | = nullptr,
|  | const BufferStringSet * | propnms = nullptr )

## ◆ addSynthetic()

SynthID StratSynth::DataMgr::addSynthetic | ( | const SynthGenParams & |  | ) |

## ◆ adjustElasticModel()

bool StratSynth::DataMgr::adjustElasticModel | ( | const Strat::LayerModel & | ,
|  | ElasticModelSet & | ,
|  | RefLayer::Type | ,
|  | TaskRunner * | ) const
| private

## ◆ calcEach()

int StratSynth::DataMgr::calcEach | ( |  | ) | const
| inline

## ◆ checkElasticPropSel()

bool StratSynth::DataMgr::checkElasticPropSel | ( | const ElasticPropSelection & | ,
|  | const RefLayer::Type * | checktyp = nullptr,
|  | uiString * | msg = nullptr ) const

## ◆ checkNeedsInput()

bool StratSynth::DataMgr::checkNeedsInput | ( | const SynthGenParams & |  | ) | const
| private

## ◆ clearData()

void StratSynth::DataMgr::clearData | ( | bool | lmdata,
|  | bool | synthdata )
| private

## ◆ clearInfoMsg()

void StratSynth::DataMgr::clearInfoMsg | ( |  | ) |
| inline

## ◆ createAngleData()

void StratSynth::DataMgr::createAngleData | ( | PreStackSyntheticData & | ,
|  | TaskRunner * | ) const
| private

## ◆ createAttribute()

ConstRefMan< SyntheticData > StratSynth::DataMgr::createAttribute | ( | const PostStackSyntheticData & | ,
|  | const SynthGenParams & | ,
|  | TaskRunner * | ) const
| private

## ◆ createFiltered()

ConstRefMan< SyntheticData > StratSynth::DataMgr::createFiltered | ( | const PostStackSyntheticData & | ,
|  | const SynthGenParams & | ,
|  | TaskRunner * | ) const
| private

## ◆ curLayerModelIdx()

int StratSynth::DataMgr::curLayerModelIdx | ( |  | ) | const
| private

## ◆ dirtyCount()

DirtyCountType StratSynth::DataMgr::dirtyCount | ( |  | ) | const
| inline

## ◆ disableSynthetic()

bool StratSynth::DataMgr::disableSynthetic | ( | const TypeSet< SynthID > & |  | ) |

## ◆ elasticModels()

const ElasticModelSet & StratSynth::DataMgr::elasticModels | ( | int | lmsidx = -1 | ) | const

## ◆ ensureAdequatePropertySynthetics()

bool StratSynth::DataMgr::ensureAdequatePropertySynthetics | ( | const SynthGenParams & |  | ) |
| private

## ◆ ensureAdequatePropSelection()

bool StratSynth::DataMgr::ensureAdequatePropSelection | ( | int | lmsidx,
|  | RefLayer::Type | ) const
| private

## ◆ ensureElasticModels()

bool StratSynth::DataMgr::ensureElasticModels | ( | int | lmsidx,
|  | RefLayer::Type | ,
|  | bool & | changed,
|  | TaskRunner * | ) const
| private

## ◆ ensureGenerated()

bool StratSynth::DataMgr::ensureGenerated | ( | SynthID | ,
|  | TaskRunner * | = nullptr,
|  | int | curlmidx = -1 ) const

## ◆ ensureInstantAttribsDataSet()

bool StratSynth::DataMgr::ensureInstantAttribsDataSet | ( | const TypeSet< SynthID > & | ,
|  | TaskRunner * | = nullptr,
|  | int | curlmidx = -1 ) const

Generates all attribs from a same input synthetic.

## ◆ ensureLevels()

void StratSynth::DataMgr::ensureLevels | ( | int | lmsidx | ) | const
| private

## ◆ ensurePropertyDataSets()

bool StratSynth::DataMgr::ensurePropertyDataSets | ( | TaskRunner * | = nullptr,
|  | int | lmsidx = -1,
|  | double | zstep = 0.001 ) const

Generates all properties, or a subselection.

## ◆ errMsg()

uiRetVal StratSynth::DataMgr::errMsg | ( |  | ) | const
| inline

## ◆ fillPar()

void StratSynth::DataMgr::fillPar | ( | IOPar & | ,
|  | const ObjectSet< IOPar > * | disppars = nullptr ) const

## ◆ find() [1/2]

SynthID StratSynth::DataMgr::find | ( | const char * | nm,
|  | int * | lmsidx = nullptr ) const

## ◆ find() [2/2]

SynthID StratSynth::DataMgr::find | ( | const PropertyRef & | ,
|  | bool | require_generated = false,
|  | int | lmsidx = -1 ) const

## ◆ first()

SynthID StratSynth::DataMgr::first | ( | bool | prestack,
|  | bool | require_generated = false,
|  | int | lmsidx = -1 ) const

## ◆ generate()

bool StratSynth::DataMgr::generate | ( | SynthID | ,
|  | int | lmsidx,
|  | TaskRunner * | ) const
| private

## ◆ generateDataSet()

ConstRefMan< SyntheticData > StratSynth::DataMgr::generateDataSet | ( | const SynthGenParams & | ,
|  | int | lmsidx,
|  | TaskRunner * | ) const
| private

## ◆ genParams()

const TypeSet< SynthGenParams > & StratSynth::DataMgr::genParams | ( |  | ) | const
| inline

## ◆ genPSPostProcDataSet()

ConstRefMan< SyntheticData > StratSynth::DataMgr::genPSPostProcDataSet | ( | const PreStackSyntheticData & | ,
|  | const SynthGenParams & | ,
|  | TaskRunner * | ) const
| private

## ◆ getAllGenPars()

static bool StratSynth::DataMgr::getAllGenPars | ( | const IOPar & | ,
|  | ObjectSet< SynthGenParams > & | )
| static

## ◆ getAllNames()

void StratSynth::DataMgr::getAllNames | ( | const SynthGenParams & | ,
|  | int | lmsidx,
|  | BufferStringSet & | ) const
| private

## ◆ getDataSet()

ConstRefMan< SyntheticData > StratSynth::DataMgr::getDataSet | ( | SynthID | ,
|  | int | lmsidx = -1 ) const

## ◆ getDataSetByIdx()

ConstRefMan< SyntheticData > StratSynth::DataMgr::getDataSetByIdx | ( | int | ,
|  | int | lmsidx = -1 ) const

## ◆ getFinalDataSetName()

BufferString StratSynth::DataMgr::getFinalDataSetName | ( | const char * | gpnm,
|  | bool | isprop = false,
|  | int | lmsidx = -1 ) const

## ◆ getGenParams()

const SynthGenParams * StratSynth::DataMgr::getGenParams | ( | SynthID |  | ) | const

## ◆ getIDByIdx()

SynthID StratSynth::DataMgr::getIDByIdx | ( | int |  | ) | const

## ◆ getIDs() [1/2]

void StratSynth::DataMgr::getIDs | ( | const MultiID & | wvltid,
|  | TypeSet< SynthID > & | ,
|  | bool | omitempty = false,
|  | int | lmsidx = -1 ) const

## ◆ getIDs() [2/2]

void StratSynth::DataMgr::getIDs | ( | TypeSet< SynthID > & | ,
|  | SubSelType | t = NoSubSel,
|  | bool | omitempty = false,
|  | int | lmsidx = -1 ) const

## ◆ getLevelDepths()

void StratSynth::DataMgr::getLevelDepths | ( | Strat::LevelID | ,
|  | TypeSet< float > & | zvals,
|  | int | lmsidx = -1 ) const

## ◆ getNames() [1/2]

void StratSynth::DataMgr::getNames | ( | BufferStringSet & | ,
|  | SubSelType | t = NoSubSel,
|  | bool | omitempty = false,
|  | int | lmsidx = -1 ) const

## ◆ getNames() [2/2]

void StratSynth::DataMgr::getNames | ( | const MultiID & | wvltid,
|  | BufferStringSet & | ,
|  | bool | omitempty = false,
|  | int | lmsidx = -1 ) const

## ◆ getProdMgr() [1/2]

DataMgr * StratSynth::DataMgr::getProdMgr | ( |  | ) |

may return this

## ◆ getProdMgr() [2/2]

const DataMgr * StratSynth::DataMgr::getProdMgr | ( |  | ) | const

may return this

## ◆ getRefModels()

const ReflectivityModelSet * StratSynth::DataMgr::getRefModels | ( | const SynthGenParams & | ,
|  | int | lmsidx ) const
| private

## ◆ getRelevantAngleData()

ConstRefMan< PreStack::GatherSetDataPack > StratSynth::DataMgr::getRelevantAngleData | ( | const Seis::SynthGenDataPack & | ,
|  | int | lmsidx ) const
| private

## ◆ getSynthGenRes()

const Seis::SynthGenDataPack * StratSynth::DataMgr::getSynthGenRes | ( | const SynthGenParams & | ,
|  | int | lmsidx ) const
| private

## ◆ getUnscaledSynthetics()

bool StratSynth::DataMgr::getUnscaledSynthetics | ( | RefObjectSet< const SyntheticData > * | ,
|  | TypeSet< MultiID > * | unscaledwvlts,
|  | int | lmsidx = -1 ) const

return true if unscaled synthetics are found

## ◆ gtActualLMIdx()

int StratSynth::DataMgr::gtActualLMIdx | ( | int | lmsidx | ) | const
| private

## ◆ gtDS()

const SyntheticData * StratSynth::DataMgr::gtDS | ( | SynthID | ,
|  | int | lmsidx ) const
| private

## ◆ gtDSByIdx()

const SyntheticData * StratSynth::DataMgr::gtDSByIdx | ( | int | idx,
|  | int | lmsidx ) const
| private

## ◆ gtDSByName()

const SyntheticData * StratSynth::DataMgr::gtDSByName | ( | const char * | ,
|  | int | lmsidx ) const
| private

## ◆ gtDSS() [1/2]

ObjectSet< const SyntheticData > & StratSynth::DataMgr::gtDSS | ( | int | lmsidx | ) |
| private

## ◆ gtDSS() [2/2]

const ObjectSet< const SyntheticData > & StratSynth::DataMgr::gtDSS | ( | int | lmsidx | ) | const
| private

## ◆ gtGenIdx()

int StratSynth::DataMgr::gtGenIdx | ( | SynthID | ,
|  | TaskRunner * | ) const
| private

## ◆ gtIdx()

int StratSynth::DataMgr::gtIdx | ( | SynthID |  | ) | const
| private

## ◆ gtIdxs() [1/2]

void StratSynth::DataMgr::gtIdxs | ( | const MultiID & | ,
|  | TypeSet< int > & | ,
|  | bool | ,
|  | int | lmsidx ) const
| private

## ◆ gtIdxs() [2/2]

void StratSynth::DataMgr::gtIdxs | ( | TypeSet< int > & | ,
|  | SubSelType | ,
|  | bool | ,
|  | int | lmsidx ) const
| private

## ◆ hasValidDataSet()

bool StratSynth::DataMgr::hasValidDataSet | ( | SynthID | ,
|  | int | lmsidx = -1 ) const

## ◆ haveDS()

bool StratSynth::DataMgr::haveDS | ( | int | ,
|  | int | lmsidx ) const
| private

## ◆ haveOfType()

bool StratSynth::DataMgr::haveOfType | ( | SynthGenParams::SynthType |  | ) | const

## ◆ indexOf()

int StratSynth::DataMgr::indexOf | ( | const SyntheticData * | ,
|  | int | lmsidx = -1 ) const

## ◆ infoMsg()

uiRetVal StratSynth::DataMgr::infoMsg | ( |  | ) | const
| inline

## ◆ isAttribute()

bool StratSynth::DataMgr::isAttribute | ( | SynthID |  | ) | const

## ◆ isElasticPS()

bool StratSynth::DataMgr::isElasticPS | ( | SynthID |  | ) | const

## ◆ isElasticStack()

bool StratSynth::DataMgr::isElasticStack | ( | SynthID |  | ) | const

## ◆ isEmpty()

bool StratSynth::DataMgr::isEmpty | ( |  | ) | const

## ◆ iSeq()

int StratSynth::DataMgr::iSeq | ( | int | itrc | ) | const
| private

## ◆ isFilter()

bool StratSynth::DataMgr::isFilter | ( | SynthID |  | ) | const

## ◆ isPS()

bool StratSynth::DataMgr::isPS | ( | SynthID |  | ) | const

## ◆ isStratProp()

bool StratSynth::DataMgr::isStratProp | ( | SynthID |  | ) | const

## ◆ iTrc()

int StratSynth::DataMgr::iTrc | ( | int | iseq | ) | const
| private

## ◆ kick()

void StratSynth::DataMgr::kick | ( |  | ) |

## ◆ layerModel()

const Strat::LayerModel & StratSynth::DataMgr::layerModel | ( | int | lmsidx = -1 | ) | const

## ◆ layerModelSuite()

const Strat::LayerModelSuite & StratSynth::DataMgr::layerModelSuite | ( |  | ) | const
| inline

## ◆ levels()

const StratSynth::LevelSet & StratSynth::DataMgr::levels | ( | int | lmsidx = -1 | ) | const

## ◆ lmsEdChgCB()

void StratSynth::DataMgr::lmsEdChgCB | ( | CallBacker * |  | ) |
| private

## ◆ lmsIndexOf()

int StratSynth::DataMgr::lmsIndexOf | ( | const SyntheticData * |  | ) | const

## ◆ mOD_DisableCopy()

StratSynth::DataMgr::mOD_DisableCopy | ( | DataMgr |  | ) |
| private

## ◆ modelChange()

void StratSynth::DataMgr::modelChange | ( |  | ) |
| inline

## ◆ nameOf()

BufferString StratSynth::DataMgr::nameOf | ( | SynthID |  | ) | const

## ◆ nrLayerModels()

int StratSynth::DataMgr::nrLayerModels | ( |  | ) | const
| private

## ◆ nrSequences()

int StratSynth::DataMgr::nrSequences | ( | int | curlmidx = -1 | ) | const

all available

## ◆ nrTraces()

int StratSynth::DataMgr::nrTraces | ( | int | curlmidx = -1 | ) | const

actual calculated

## ◆ removeSynthetic()

bool StratSynth::DataMgr::removeSynthetic | ( | SynthID |  | ) |

## ◆ requiredRefLayerType()

RefLayer::Type StratSynth::DataMgr::requiredRefLayerType | ( |  | ) | const

## ◆ runSynthGen()

bool StratSynth::DataMgr::runSynthGen | ( | Seis::RaySynthGenerator & | ,
|  | const SynthGenParams & | ,
|  | TaskRunner * | ) const
| private

## ◆ setCalcEach()

void StratSynth::DataMgr::setCalcEach | ( | int |  | ) |

## ◆ setDataSet()

void StratSynth::DataMgr::setDataSet | ( | const SynthGenParams & | ,
|  | const SyntheticData * | ,
|  | int | lmsidx )
| private

## ◆ setElasticProperties()

bool StratSynth::DataMgr::setElasticProperties | ( | const IOPar & | ,
|  | uiString * | msg = nullptr )

Will set a default if none found.

## ◆ setElasticPropSel()

void StratSynth::DataMgr::setElasticPropSel | ( | const ElasticPropSelection & |  | ) |
| private

## ◆ setEmpty()

void StratSynth::DataMgr::setEmpty | ( |  | ) |
| inline

## ◆ setPackLevelTimes()

void StratSynth::DataMgr::setPackLevelTimes | ( | SynthID | ,
|  | Strat::LevelID | ) const

## ◆ setWavelet()

void StratSynth::DataMgr::setWavelet | ( | const Wavelet & | wvlt | ) |
| inline

## ◆ sKeyNrSynthetics()

static const char * StratSynth::DataMgr::sKeyNrSynthetics | ( |  | ) |
| inline static

## ◆ sKeySyntheticNr()

static const char * StratSynth::DataMgr::sKeySyntheticNr | ( |  | ) |
| inline static

## ◆ synthChange()

void StratSynth::DataMgr::synthChange | ( |  | ) |
| inline

## ◆ touch()

void StratSynth::DataMgr::touch | ( |  | ) | const
| inline

## ◆ updateSynthetic()

bool StratSynth::DataMgr::updateSynthetic | ( | SynthID | ,
|  | const SynthGenParams & | )

## ◆ updateSyntheticName()

bool StratSynth::DataMgr::updateSyntheticName | ( | SynthID | ,
|  | const char * | newnm )

## ◆ updateWavelet()

bool StratSynth::DataMgr::updateWavelet | ( | const MultiID & | oldwvltid,
|  | const MultiID & | newwvltid )

## ◆ usePar()

bool StratSynth::DataMgr::usePar | ( | const IOPar & |  | ) |

## Friends And Related Symbol Documentation

## ◆ PropertyDataSetsCreator

friend class PropertyDataSetsCreator
| friend

## ◆ StratSeqSplitter

friend class StratSeqSplitter
| friend

## Member Data Documentation

## ◆ calceach_

int StratSynth::DataMgr::calceach_ = 1
| private

## ◆ dirtycount_

DirtyCounter StratSynth::DataMgr::dirtycount_
| mutable private

## ◆ elasticModelChanged

Notifier<DataMgr> StratSynth::DataMgr::elasticModelChanged

## ◆ elasticmodelsets_

ObjectSet<ElasticModelSet> StratSynth::DataMgr::elasticmodelsets_
| private

## ◆ elPropSelChanged

Notifier<DataMgr> StratSynth::DataMgr::elPropSelChanged

## ◆ entryAdded

CNotifier<DataMgr,SynthID> StratSynth::DataMgr::entryAdded

## ◆ entryChanged

CNotifier<DataMgr,const TypeSet<SynthID>&> StratSynth::DataMgr::entryChanged

## ◆ entryDisabled

CNotifier<DataMgr,const TypeSet<SynthID>&> StratSynth::DataMgr::entryDisabled

## ◆ entryRemoved

CNotifier<DataMgr,const TypeSet<SynthID>&> StratSynth::DataMgr::entryRemoved

## ◆ entryRenamed

CNotifier<DataMgr,const TypeSet<SynthID>&> StratSynth::DataMgr::entryRenamed

## ◆ errmsg_

uiRetVal StratSynth::DataMgr::errmsg_
| mutable private

## ◆ genparams_

TypeSet<SynthGenParams> StratSynth::DataMgr::genparams_
| private

## ◆ ids_

TypeSet<SynthID> StratSynth::DataMgr::ids_
| private

## ◆ infomsg_

uiRetVal StratSynth::DataMgr::infomsg_
| mutable private

## ◆ levelsets_

ObjectSet<StratSynth::LevelSet> StratSynth::DataMgr::levelsets_
| private

## ◆ lmdatasets_

ObjectSet<RefObjectSet<const SyntheticData> > StratSynth::DataMgr::lmdatasets_
| private

## ◆ lms_

const Strat::LayerModelSuite& StratSynth::DataMgr::lms_
| private

## ◆ newWvltUsed

CNotifier<DataMgr,const MultiID&> StratSynth::DataMgr::newWvltUsed

## ◆ swaveinfomsgshown_

bool StratSynth::DataMgr::swaveinfomsgshown_ = false
| mutable private

## ◆ wvlt_

const Wavelet* StratSynth::DataMgr::wvlt_ = nullptr
| private

## ◆ wvltScalingDone

CNotifier<DataMgr,const BufferStringSet&> StratSynth::DataMgr::wvltScalingDone

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025